import { UIConfig } from '@crossmint/common-sdk-base';
import { SolanaChain, SignerConfigForChain, EVMChain } from '@crossmint/wallets-sdk';
export { Balances, Chain, DelegatedSigner, EVMWallet, EvmExternalWalletSignerConfig, SolanaExternalWalletSignerConfig, SolanaWallet, Wallet } from '@crossmint/wallets-sdk';

type CreateOnLogin = {
    chain: SolanaChain;
    signer: SignerConfigForChain<SolanaChain>;
    owner?: string;
} | {
    chain: EVMChain;
    signer: SignerConfigForChain<EVMChain>;
    owner?: string;
};
type BaseCrossmintWalletProviderProps = {
    createOnLogin?: CreateOnLogin;
    showPasskeyHelpers?: boolean;
    appearance?: UIConfig;
};

export type { BaseCrossmintWalletProviderProps, CreateOnLogin };
